* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root { 
  --text-color: #ffffff;
  --text-color-2: #8a8a8a;
  --highlight-color: #ff523b;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: 'Poppins', sans-serif;
  text-align: left;
  background: #000000;
}

.loader-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #000000; /* Semi-transparent black background */
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999; /* Ensure it's above other content */
}

.loader-image {
  border-radius: 10px;
  width: 150px; /* Adjust the width of the loader as needed */
  height: auto; /* Maintain aspect ratio */
}

p {
  color: var(--text-color);
}



/* website landing section  */

.container {
  max-width: 1300px;
  margin: auto;
  padding-left: 25px;
  padding-right: 25px;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    visibility: hidden; /* Ensure the element is not visible initially */
  }
  to {
    opacity: 1;
    visibility: visible; /* Make the element visible when the animation completes */
  }
}

.fade-in {
  opacity: 0; /* Start hidden */
  visibility: hidden; /* Start hidden */
  animation: fadeIn 5s ease-in;
  animation-delay: 3s; /* Delay of 2 seconds before the animation starts */
  animation-fill-mode: forwards; /* Keep the final state of the animation */
}



#myVideo{
  /* position: fixed;
  right: 0;
  bottom: 0;
  min-width: 100%;
  min-height: 100%;
  z-index: -1; */

  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: -1;
}

.header {
  height: 100vh;
  position: relative;
  overflow: hidden;
}

.header .row {
  padding: 2rem 0 2rem 0;
}

.row {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
}

.col-2 {
  flex-basis: 50%;
  min-width: 300px;
  padding: 0 15px;
}

.col-2 img {
  max-width: 100%;
  height: auto;
  border-radius: 1.5rem;
  display: none;
}

.col-2 p {
  /* font-family: "Canela Deck Regular"; */
  font-size: 40px;
  line-height: 1.5;
  margin: 0;
  padding-top: 4rem;
}

.col-2 p span {
  font-size: 40px;
  line-height: 60px;
  margin: 10px 0;
  color: #00ff1a;
}

.col-i {
  flex-basis: 50%;
  min-width: 350px;
  padding: 0 15px;
  margin-top: 5rem;
}

.col-i img {
  max-width: 60%;
  height: auto;
  border-radius: 1.5rem;
  padding-left: 1rem;
  padding-top: 7rem;
  margin-left: -20rem;
}

@media screen and (max-width: 1024px) {
  .col-2 {
      flex-basis: 100%;
      text-align: center;
      padding-top: 2rem;
  }

  .col-2 img {
      margin-top: 20px;
  }
}

@media screen and (max-width: 769px) {
  .col-2 {
      flex-basis: 100%;
      text-align: center;
      margin-top: 0px;
  }

  .col-2 img {
      margin-top: 20px;
  }

  /* .col-2 p {
      font-size: 24px;
      line-height: 1.5;
  } */

  /* .col-2 br {
      display: none;
  } */

  /* .col-2 p span {
      font-size: 25px;
  } */
}

@media screen and (max-width: 1440px) {

  .col-2{
    margin-top: 200px;
  }

  .col-i img {
      max-width: 48%;
      height: auto;
      border-radius: 1.5rem;
      padding-left: 1rem;
      margin-left: -20rem;
      padding-top: 0rem;
  }
}

@media screen and (max-width: 1024px) {
  .col-i {
      flex-basis: 100%;
      text-align: center;
  }

  .col-i img {
      margin-top: 20px;
      padding-top: 3rem;
      width: 38rem;
      margin-right: -19rem;
  }

  .col-2{
    margin-top: 2px;
  }
}

@media screen and (max-width: 769px) {
  .col-i {
      flex-basis: 100%;
      text-align: center;
      margin-bottom: 1rem;
      /*padding-top: 1rem;*/
      margin-top: 5rem;
  }

  .col-i img {
    margin-top: 20px;
    padding-top: 5rem;
    width: 18rem;
  }
}

@media screen and (max-width: 426px) {

  /*.col-i{*/
  /*  margin-top: 400px;*/
  /*}*/
  .col-i img {
      margin-top: 20px;
      /* margin-bottom: 1rem; */
      padding-top: 1rem;
  }

  .col-i p {
      font-size: 24px;
      line-height: 1.5;
  }

  .col-2 p {
      font-size: 28px;
      line-height: 1.5;
  }

  .col-2 br {
      display: none;
  }

  .col-2 p span {
      font-size: 28px;
  }
}

/* website landing section  */






/* why-exicom start */

.why-exicom {
  background-color: #000000;
  padding: 5rem 1rem 8rem 2rem;
  color: #fff;
  text-align: justify;
}

.why-exicom p {
  font-size: 1.1em;
  color: #ffffff;
  line-height: 1.5;
}

.why-exicom h1 {
  font-size: 2rem;
  /* font-family: "Canela Deck Regular"; */
  margin-bottom: 3rem;
}

.why-co {
  display: flex;
  flex-wrap: wrap;
}

.why-img img {
  flex: 1;
  width: 55rem;
}

.why-content {
  font-size: 14px;
  line-height: 180%;
  flex: 1;
  padding-right: 4rem;
}

.button-container {
  font-family: "Inter", sans-serif;
  font-weight: bold;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-top: 4rem;
}

.button-act {
  background-color: #51c4bd;
  color: #000000;
  padding: 1rem 1rem;
  text-align: center;
  text-decoration: none;
  margin: 0.5rem;
  border-radius: 1rem;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  transition: all 0.3s ease-in-out;
}

.button-act:hover {
  background-color: #ffffff00;
  color: #fff;
  border: solid 2px #51c4bd;
  transform: translateY(-2px);
}


.button {
  border: solid 2px #51c4bd;
  color: white;
  padding: 1rem 1rem;
  text-align: center;
  text-decoration: none;
  margin: 0.5rem;
  border-radius: 1rem;
  box-shadow: 0 2px 4px #0000001a;
  transition: all 0.3s ease-in-out;
}

.button:hover {
  background-color: #51c4bd;
  transform: translateY(-2px);

}

@media (max-width: 768px) {
  .why-co {
      flex-direction: column;
  }

  .why-exicom h1 {
      font-size: 1.5rem;
      text-align: center;
  }

  .why-img,
  .why-content {
      font-size: 15px;
      flex: auto;
  }
}

@media (max-width: 1024px) {
  .why-exicom {
      padding: 5rem 2rem 9rem 3rem;
  }

  .why-img img {
      width: 100%;
  }

  .why-content {
      padding-right: 1rem;
  }
}

@media (max-width: 768px) {
  .why-co {
      flex-direction: column;
  }

  .why-content {
      padding-right: 0;
  }

  .button,
  .button-act {
      flex-basis: 100%;
  }
}


/* why-exicom end */





/* Application start */

.app {
  background-color: #000000;
  /* background-image: url(/images/Applications-Vector.png); */
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.app h1 {
  text-align: center;
  color: #fff;
  /* font-family: "Canela Deck Trial"; */
  font-size: 3rem;
  font-weight: 600;
  padding: 1.5rem 0;
}

.cards_wrap {
  padding: 10px 5%;
  width: 80%;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}


.cards_wrap .card_item {
  padding: 30px;
  width: 25%;
}

.cards_wrap .card_inner {
  background: radial-gradient(50% 50% at 50% 50%, #564f4f 0%, #333 100%);
  width: 110%;
  height: 400px;
  display: flex;
  flex-direction: column;
  align-items: center;
  border-radius: 40px;
}

.card_inner:hover img {
  transform: scale(1.1);
}

.cards_wrap .card_item img {
  display: block;
  margin: 27px auto;
  width: 90%;
}

.cards_wrap .card_item .role_name {
  color: #ffffff;
  font-weight: 900;
  letter-spacing: 2px;
  font-size: 20px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  text-align: center;
}





@media screen and (max-width: 1024px) {
  .cards_wrap .card_item {
      width: 33.33%;
  }
}

@media screen and (max-width: 768px) {

  .cards_wrap {
      justify-content: center;
  }

  .cards_wrap .card_item {
      width: 45%;
      /* Two cards per row */
      margin-bottom: 2rem;
  }

  .app h1 {
      font-size: 1.5rem;
  }

  .cards_wrap .card_inner {
      width: 104%;
      /* height: 30rem; */
  }
}

@media screen and (max-width: 568px) {
  .cards_wrap .card_item {
      width: 100%;
  }

}

@media screen and (max-width: 375px) {
  .cards_wrap .card_inner {
      width: 104%;
      /* height: 22rem; */
  }

  .cards_wrap .card_item .role_name {
      font-size: 15px;
  }
}


/* Application end */







/* Our Solution start */

.site-our-solution {
  background-color: #000000;
  color: #fff;
  padding: 50px 0;
}

.solution-container .solution-header {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-around;
  column-gap: 7rem;
  margin-bottom: 2rem;
  padding-left: 8rem;
  padding-right: 7rem;
}



.solution-header {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.solution-header1 p {
  font-size: 2rem;
  color: #606060;
}

.solution-header1 h3 {
  font-size: 4em;
  color: #ffffff;
  /* margin: -1.5rem 0; */
}

.solution-header2 {
  font-size: 1.2rem;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.compnent {
  /* width: 20rem; */
  height: 100%;
  overflow: hidden;
  border-radius: 50%;
  margin: 0 20px;
}

.compnent img {
  max-width: 100%;
  margin: 0;
}

.solution-header2 {
  flex-basis: 70%;
}

.solution-header2 p {
  font-size: 1.1em;
  color: #ffffff;
  line-height: 1.5;
}

.solution-main {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  max-width: 100rem;
}

.solution-main-img {
  width: 50%;
  padding-left: 7rem;
  padding-right: 6rem;
}

.solution-main-img img {
  width: 90%;
}

.solution-main-details {
  width: 50%;
  text-align: left;
}

.solution-main-details h3 {
  font-family: "Montserrat", sans-serif;
  font-size: 36px;
  text-transform: uppercase;
  margin: auto;
}

.solution-main-details h2 {
  font-size: 36px;
  font-family: "Montserrat", sans-serif;
  margin: 0;
}

.solution-main-details p {
  line-height: 180%;
  padding-right: 3.5rem;
  font-size: 16px;
  font-weight: 400;
  font-family: "Montserrat", sans-serif;
  margin: 2rem 0;
}

.icon-wrapper-flex {
  display: flex;
  justify-content: space-evenly;
}

.icon-container {
  text-align: center;
}

.icon-wraper {
  display: inline-block;
}

.icon-wraper:hover img{
  transform: scale(1.2);
}

.icon-wraper h3 {
  font-size: 24px;
  text-transform: uppercase;
}

.cta-global {
  padding: 100px 0;
  background-color: black;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.cta-global .cta-box{
  display: flex;
  justify-content: space-evenly;
  align-items: center;
}

.cta-global .cta-box .box1,
.cta-global .cta-box .box2{
  flex: 1;
  text-align: center;
}

.cta-global .cta-box .box2 p{
  margin: 0;
  padding-top: 5rem;
}

/* .cta-global .cta-box .box2 {
  padding: 0 0 0 36rem;
  font-size: 3rem;
  font-weight: 600;
  font-family: "Canela Deck Regular";
  width: 100%;
  height: auto;
  display: flex;
  justify-content: space-around;
  align-items: center;
  gap: 3rem;
} */

.cta-global .cta-box .box2 span {
  color: #51c4bd;
}

@media (min-width: 1024px) {
  .solution-container .solution-header {
      flex-direction: row;
      align-items: center;
      justify-content: space-around;
      column-gap: 7rem;
      margin-bottom: 2rem;
      padding-left: 8rem;
      padding-right: 7rem;
  }

  .solution-header {
      flex-direction: row;
      align-items: center;
  }

  .solution-header1 p {
      font-size: 2rem;
      color: #606060;
      margin: 0;
      /* Reset margin */
  }

  .solution-header1 h3 {
      font-size: 4em;
      color: #ffffff;
      margin: -0.9rem 0;
  }

  .compnent {
      width: 40rem;
      height: 100%;
      overflow: hidden;
      margin: 0 20px;
  }

  .compnent img {
      max-width: 100%;
      margin: 0;
  }

  .solution-header2 {
      flex-basis: 70%;
  }

  .solution-main-img {
      width: 50%;
      padding-left: 7rem;
      padding-right: 6rem;
  }

  .solution-main-img img {
      width: 90%;
  }

  .solution-main-details {
      width: 50%;
      text-align: justify;
  }

  .solution-main-details h3 {
    font-family: "Montserrat", sans-serif;
      font-size: 30px;
      text-transform: uppercase;
      margin: auto;
  }

  .solution-main-details h2 {
      font-size: 36px;
      font-family: "Montserrat", sans-serif;
      margin: 0;
  }

  .solution-main-details p {
      line-height: 180%;
      padding-right: 3.5rem;
      font-size: 16px;
      font-weight: 400;
      font-family: "Montserrat", sans-serif;
      margin: 2rem 0;
  }

  .cta-global .cta-box .box2 {
      font-size: 3rem;
      font-weight: 600;
      font-family: "Canela Deck Regular";
      width: 100%;
      height: auto;
      display: flex;
      justify-content: space-around;
      align-items: center;
      gap: 3rem;
  }
}

/* For iPad */
@media (min-width: 768px) and (max-width: 1023px) {
  .solution-container .solution-header {
      flex-direction: column;
      align-items: center;
      justify-content: center;
      column-gap: 0;
      margin-bottom: 2rem;
      padding-left: 0;
      padding-right: 0;
  }

  .solution-header1 p {
      font-size: 1.5rem;
      color: #606060;
      margin: 0;
  }

  .solution-header1 h3 {
      font-size: 3em;
      color: #ffffff;
      margin: 0;
  }

  .solution-header2 {
      flex-basis: 70%;
      text-align: center;
  }

  .solution-main {
      flex-direction: column;
      align-items: center;
  }

  .solution-main-img {
      width: 100%;
      padding: 0;
  }

  .solution-main-details {
      width: 100%;
      text-align: center;
      margin-top: 2rem;
  }

  .solution-main-details h3 {
      margin: 0 auto;
      font-size: 20px;
  }

  .solution-main-details p {
      padding-right: 0;
  }

  .cta-global .cta-box .box2 {
      padding: 0;
      font-size: 2.5rem;
      justify-content: center;
      gap: 2rem;
  }
}

@media (max-width: 768px) {
  .solution-container .solution-header {
      flex-direction: column;
      align-items: center;
      justify-content: center;
      column-gap: 0;
      margin-bottom: 2rem;
      padding: 0 4rem;
      /* padding-left: 0; */
      /* padding-right: 0; */
  }

  .solution-header1 p {
      font-size: 0.9rem;
      color: #0cefdc;
      margin: 0.6rem 0;
  }

  .solution-header1 h3 {
      font-size: 2em;
      color: #ffffff;
  }

  .solution-header2 {
      flex-basis: 70%;
      text-align: center;
  }

  .solution-header2 {
      text-align: left;
  }

  .solution-main {
      flex-direction: column;
      align-items: center;
  }

  .solution-main-img {
      width: 100%;
      text-align: center;
      padding: 0;
      margin-top: 2rem;
  }

  .solution-main-img img {
      width: 90%;
  }

  .solution-main-details {
      width: 100%;
      text-align: center;
      margin-top: 2rem;
  }

  .solution-main-details h3 {
      margin: 0 auto;
      font-size: 20px;
  }

  .solution-main-details p {
      padding: 0 50px;
      text-align: justify;
  }

  .cta-global .cta-box .box2 { 
      padding: 0;
      font-size: 2rem;
      justify-content: center;
      gap: 1rem;
  }
}

@media (max-width: 600px) {
  .cta-global .cta-box {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
  }

  .cta-global .cta-box .box1,
  .cta-global .cta-box .box2{
    flex: 1;
    text-align: center;
  }
}

/* Our Solution end */



.hidden {
  opacity: 0;
  filter: blur(5px);
  transform: translateZ(-100%);
  transition: all 1.5s;
}

.show {
  opacity: 1;
  filter: blur(0);
  transform: translateZ(0);
}





       

/* Modal container */
.modal {
  display: none; /* Hidden by default */
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent background */
  justify-content: center;
  align-items: center;
}

/* Modal content box */
.modal-content {
  padding: 20px;
  border-radius: 8px;
  width: 80%;
  max-width: 900px;
  text-align: center;
  position: relative;
}

/* Close button */
.close {
  position: absolute;
  top: 10px;
  right: 5px;
  color: #ffffff;
  font-size: 40px;
  font-weight: bold;
  cursor: pointer;
}

/* Default image styling */
.modal-image {
  width: 85%;
  height: auto;
  border-radius: 8px;
  border: 5px solid #555;
}

/* Responsive adjustments */

/* For smaller screens (like 390px wide) */
@media (max-width: 400px) {
  .modal-image {
    width: 100%; /* Slightly larger for small screens */
    max-width: 320px; /* Prevent image from becoming too large */
  }
  .modal-content {
    width: 90%; /* Adjust content width for small screens */
  }
  
  .close {
    position: absolute;
    top: -40px;
    right: 5px;
    color: #ffffff;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
}
}

/* For tablet size (like 768px wide) */
@media (min-width: 768px) and (max-width: 1024px) {
  .modal-image {
    width: 80%;
    max-width: 700px; /* Constrain max-width to fit well on tablets */
  }
  .modal-content {
    width: 70%;
  }
}

